Bug 570771 - Review Request: fedora-easy-karma - Fedora update feedback made easy
Summary: Review Request: fedora-easy-karma - Fedora update feedback made easy
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Guido Grazioli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-05 11:13 UTC by Till Maas
Modified: 2010-03-16 23:20 UTC (History)
6 users (show)

Fixed In Version: fedora-easy-karma-0-0.3.20100306git00fc20aa.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-16 23:20:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Till Maas 2010-03-05 11:13:32 UTC
Spec URL: http://till.fedorapeople.org/review/fedora-easy-karma.spec
SRPM URL: http://till.fedorapeople.org/review/fedora-easy-karma-0-0.1.20100305.fc12.src.rpm
Description:
Fedora-easy-karma helps you to easily and fast provide feedback for all testing
updates that you have currently installed.

Url: https://fedoraproject.org/wiki/Fedora_Easy_Karma

Comment 1 Guido Grazioli 2010-03-05 13:31:17 UTC
OK - rpmlint output:
3 packages and 1 specfiles checked; 0 errors, 3 warnings.
fedora-easy-karma.spec: W: invalid-url Source0: [...]
Can be ignored because it's exported from a git VCS.
OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is GPLv2+)
NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2032856
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. 
2fe78cb765d75c773abc7b75930daefc  fedora-easy-karma-eaa17614f4a770f375b3e531f71450104d0c0960.tar
NA - The spec file MUST handle locales properly 
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
NA - The package must contain code, or permissable content (no content)
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
OK - %{?dist} tag is used in release    

Package APPROVED.
This is great stuff

Comment 2 Till Maas 2010-03-05 13:47:32 UTC
Thank you for the fast review.

Package Name: fedora-easy-karma
Short Description: Fedora update feedback made easy
Owners: till
Branches: F-13 F-12 F-11 EL-5 EL-4
InitialCC:

Comment 3 Kevin Fenzi 2010-03-06 05:31:25 UTC
Please use the full template from the cvs page next time, the script we use to process requests couldn't figure this one out. ;) 

cvs done.

Comment 4 Fedora Update System 2010-03-06 11:57:20 UTC
fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.fc13

Comment 5 Fedora Update System 2010-03-06 11:57:25 UTC
fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.fc11

Comment 6 Fedora Update System 2010-03-06 11:57:30 UTC
fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.el4

Comment 7 Fedora Update System 2010-03-06 11:57:34 UTC
fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.fc12

Comment 8 Fedora Update System 2010-03-06 11:57:38 UTC
fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.2.20100306git668cdcf9a6c7effd2b9e3394f207b71aa1395983.el5

Comment 9 Fedora Update System 2010-03-06 16:34:38 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.el5

Comment 10 Fedora Update System 2010-03-06 16:34:43 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.fc12

Comment 11 Fedora Update System 2010-03-06 16:34:49 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.fc13

Comment 12 Fedora Update System 2010-03-06 16:34:53 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.fc11

Comment 13 Fedora Update System 2010-03-06 16:34:58 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.el4

Comment 14 Fedora Update System 2010-03-08 20:20:04 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.el5

Comment 15 Fedora Update System 2010-03-08 20:21:28 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.el4

Comment 16 Fedora Update System 2010-03-09 03:31:53 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.fc11

Comment 17 Fedora Update System 2010-03-09 03:36:00 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.fc13

Comment 18 Fedora Update System 2010-03-09 03:38:42 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-easy-karma'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.3.20100306git00fc20aa.fc12

Comment 19 Fedora Update System 2010-03-16 23:20:38 UTC
fedora-easy-karma-0-0.3.20100306git00fc20aa.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.